---
title: Punto final de operaciones (2022/06)
slug: develop/es/punto-final-de-operaciones-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

Este recurso representa el árbol de operaciones empresariales y los permisos de operaciones en una red determinada.

URL base para este endpoint:  **https\://api.bsn.cloud/2022/06/REST/Operations**

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /Root/\{\*path}/  

Devuelve un subárbol de las operaciones empresariales disponibles junto con los permisos de rol otorgados.

**Token de alcance requerido**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Segmento**

- `ruta` <font color="#704ae0">string</font> <font color="#01a0af">opcional: </font>Le permite solicitar un subconjunto en lugar de todo el árbol de operaciones empresariales. Se completa mediante nombres de operaciones basados en el árbol completo.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Ejemplo de solicitud**

Los parámetros y encabezados de la solicitud de ejemplo se establecen de la siguiente manera:

- `ruta` se establece en `Usuario/ActualizarUsuario`

```text
GET /2022/06/REST/Operations/Root/User%2FUpdateUser HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Cuerpo de la respuesta correcta**

<font color="#089a4d">200</font>: Devuelve la [Entidad de operaciones empresariales](docId\:BB_TAuFfpLMvkrODV93I7) que incluye permisos operativos

**Ejemplo**

```json
{
   "uid": "526a9b95-cce5-422a-99f8-9f02d63af74f",
   "singularName": "Update User",
   "pluralName": "Update User",
   "fullName": "User (Full Control) - Update User",
   "targetEntity": "User",
   "appliance": "Instance, Collection",
   "parent":    {
      "uid": "b41ac545-d505-7014-edde-51bc4c0d21a0",
      "singularName": "Full Control",
      "pluralName": "User (Full Control)",
      "fullName": "User (Full Control)",
      "targetEntity": "User",
      "appliance": "Instance, Collection",
      "parent": null,
      "descendants": null,
      "permissions": null
   },
   "descendants": [],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": true,
         "creationDate": "2020-03-05T16:59:04.973Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.217Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.473Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.783Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.237Z"
      },
            {
         "entityId": null,
         "operationUID": "526a9b95-cce5-422a-99f8-9f02d63af74f",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": true,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.807Z"
      }
   ]
}
```

**Respuesta de error**

<font color="#9a0808">300</font>: La representación solicitada no pudo devolverse porque es ambigua (hay múltiples representaciones solicitadas)

<font color="#9a0808">400</font>: La solicitud tiene un formato incorrecto y, por lo tanto, no es válida

<font color="#9a0808">401</font>: El token de acceso no es válido o no se especificó

<font color="#9a0808">403</font>: El token de acceso proporcionado, aunque válido, no proporciona acceso a este método 

<font color="#9a0808">404</font>: El servidor no puede encontrar el recurso solicitado (la ruta no existe)

<font color="#9a0808">406</font>: El servidor no puede devolver la representación de datos que usted solicitó (como se especifica en el encabezado "Accept")

<font color="#9a0808">5XX</font>: Cualquier código 500 es un error interno del servidor
